package jsonrpc

import (
	"encoding/json"
)

type ServerResponse struct {
	Protocol string           `json:"protocol"`
	Result   interface{}      `json:"result,omitempty"`
	Error    interface{}      `json:"error,omitempty"`
	Id       *json.RawMessage `json:"id,omitempty"`
}
